Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002427KdenliveUser Interfacepublic2011-11-28 15:522012-05-15 10:58
Reporterevorster 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS Version3.1.2
Product VersionRecent git 
Target VersionFixed in Version0.9 
Summary0002427: mlt from git makes UI crash.
DescriptionPulled mlt from git yesterday. I was able to make a video with it, so it's all nice.

However, when I tried loading in saved projects, the Ui would crash.

Installing the latest released mlt cured the problem.
Steps To ReproduceMake a project.
Save.
Exit.
Start kdenlive.
Load recent projects.
Segfault.
Additional InformationBtw, when is this site going to be updated to reflect the fact that development switched over to a git environment?

TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007634)
evorster (reporter)
2011-11-28 21:04

Small correction.

Kdenlive UI crashes with the released mlt as well.

It may just be a gut feeling, but it seems to try and load all these clips into memory, and then crash out when they are not coming in quick enough.

The git pull I made on day 318 of 2011 works flawless, git pull of day 330 crashes upon project load.

Every time it seems to get a little further along, and it's possible to eventually load a project like this, but faaaaar from ideal.
(0007635)
j-b-m (administrator)
2011-11-29 09:30

Cannot reproduce. If you are compiling, can you make sure you don't have several MLT versions installed (official 0.7.6 and development 0.7.7 for example, might explain your crashes).

Otherwise, please provide a backtrace, see step 4 in:
http://kdenlive.org/bug-reports [^]
(0007636)
evorster (reporter)
2011-11-29 11:32

Seems strange, but I run into this error when clicking on the icon in KDE menu.

When running it in gdb it seems to work fine.

Here is the bactrace supplied by KDE:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (process 1422)]

Thread 1 (process 1422):
#0 0x00007f1a1bd96343 in poll () from /lib64/libc.so.6
#1 0x00007f1a18035e52 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
0000002 0x00007f1a1803639f in _xcb_out_send () from /usr/lib64/libxcb.so.1
0000003 0x00007f1a18036424 in xcb_writev () from /usr/lib64/libxcb.so.1
0000004 0x00007f1a1e7f9e27 in _XSend () from /usr/lib64/libX11.so.6
0000005 0x00007f1a1e7fa37b in _XReply () from /usr/lib64/libX11.so.6
0000006 0x00007f1a1e7de485 in XGetImage () from /usr/lib64/libX11.so.6
0000007 0x00007f1a2033642b in QX11PixmapData::toImage(QRect const&) const () from /opt/kde4/lib64/libQtGui.so.4
0000008 0x00007f1a20333eda in QX11PixmapData::toImage() const () from /opt/kde4/lib64/libQtGui.so.4
0000009 0x00007f1a203213f0 in QPixmap::toImage() const () from /opt/kde4/lib64/libQtGui.so.4
0000010 0x00007f1a20321d4a in QPixmap::doImageIO(QImageWriter*, int) const () from /opt/kde4/lib64/libQtGui.so.4
0000011 0x00007f1a20321f11 in QPixmap::save(QString const&, char const*, int) const () from /opt/kde4/lib64/libQtGui.so.4
0000012 0x00000000005f1c3a in KdenliveDoc::cachePixmap(QString const&, QPixmap const&) const ()
0000013 0x000000000065609c in ProjectList::setThumbnail(QString const&, QPixmap const&) ()
0000014 0x000000000065614a in ProjectList::slotReplyGetImage(QString const&, QImage const&) ()
0000015 0x000000000066c5e0 in ProjectList::qt_metacall(QMetaObject::Call, int, void**) ()
0000016 0x00007f1a1f8c280a in QObject::event(QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000017 0x00007f1a202a035b in QWidget::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000018 0x00007f1a202502b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000019 0x00007f1a20255141 in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000020 0x00007f1a224c5556 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000021 0x00007f1a1f8ac02c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000022 0x00007f1a1f8af3e8 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /opt/kde4/lib64/libQtCore.so.4
0000023 0x00007f1a1f8d6763 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000024 0x00007f1a189052bd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000025 0x00007f1a18905ab8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
0000026 0x00007f1a18905c89 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000027 0x00007f1a1f8d6bbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000028 0x00007f1a202f33ee in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000029 0x00007f1a1f8ab232 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000030 0x00007f1a1f8ab42f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000031 0x00007f1a1f8af5d7 in QCoreApplication::exec() () from /opt/kde4/lib64/libQtCore.so.4
0000032 0x000000000045288b in main ()
(0007637)
evorster (reporter)
2011-11-29 20:54

Ah, I rebuilt all the software on my system, and now it crashes in gdb as well.
My ffmpeg is a little old... I think I'll update that now, and see if it improves matters.

Here is the backtrace you asked for.

Program received signal SIGSEGV, Segmentation fault.
[Switching to LWP 10143]
0x00007fffd9d9c2de in avcodec_decode_video2 () from /usr/lib64/libavcodec.so.52
(gdb) thread apply all bt

Thread 2 (LWP 10143):
#0 0x00007fffd9d9c2de in avcodec_decode_video2 () from /usr/lib64/libavcodec.so.52
#1 0x00007fffdab4507d in producer_get_image (frame=0x22651a0, buffer=0x7fffc9a243a0, format=0x7fffc9a2489c, width=0x7fffc9a243b0,
    height=0x7fffc9a243b4, writable=0) at producer_avformat.c:1479
0000002 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a243a0, format=0x7fffc9a2489c,
    width=0x7fffc9a243b0, height=0x7fffc9a243b4, writable=0) at mlt_frame.c:453
0000003 0x00007fffdc85460c in deinterlace_yadif (frame=0x8511cb0, filter=0x1abaf60, image=0x7fffc9a246f8, format=0x7fffc9a2489c,
    width=0x7fffc9a24534, height=0x7fffc9a24538, mode=0) at filter_deinterlace.c:120
0000004 0x00007fffdc854d4b in filter_get_image (this=0x8511cb0, image=0x7fffc9a246f8, format=0x7fffc9a2489c, width=0x7fffc9a24534,
    height=0x7fffc9a24538, writable=0) at filter_deinterlace.c:220
0000005 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a246f8, format=0x7fffc9a2489c,
    width=0x7fffc9a24534, height=0x7fffc9a24538, writable=0) at mlt_frame.c:453
0000006 0x00007fffd2920094 in filter_get_image (this=0x8511cb0, image=0x7fffc9a246f8, format=0x7fffc9a2489c, width=0x7fffc9a24640,
    height=0x7fffc9a24644, writable=0) at filter_rescale.c:215
0000007 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a246f8, format=0x7fffc9a2489c,
    width=0x7fffc9a24640, height=0x7fffc9a24644, writable=0) at mlt_frame.c:453
0000008 0x00007fffd29205b6 in filter_get_image (this=0x8511cb0, image=0x7fffc9a246f8, format=0x7fffc9a2489c, width=0x7fffc9a24894,
    height=0x7fffc9a24898, writable=0) at filter_resize.c:267
0000009 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a246f8, format=0x7fffc9a2489c,
    width=0x7fffc9a24894, height=0x7fffc9a24898, writable=0) at mlt_frame.c:453
0000010 0x00007ffff45e3a2d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib64/libmlt++.so.3
0000011 0x000000000062e296 in KThumb::getFrame(Mlt::Frame*, int, int, int) ()
0000012 0x000000000069a9c0 in Render::processFileProperties() ()
0000013 0x000000000048ef86 in QtConcurrent::RunFunctionTask<void>::run() ()
0000014 0x00007ffff4c9baf5 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000015 0x00007ffff4ca6c85 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000016 0x00007ffff4a1ce1c in ?? () from /lib64/libpthread.so.0
0000017 0x00007ffff127ffad in clone () from /lib64/libc.so.6

Thread 1 (LWP 10130):
#0 0x00007ffff1278ed9 in writev () from /lib64/libc.so.6
#1 0x00007fffed516f29 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
0000002 0x00007fffed51739f in _xcb_out_send () from /usr/lib64/libxcb.so.1
0000003 0x00007fffed517424 in xcb_writev () from /usr/lib64/libxcb.so.1
0000004 0x00007ffff3cdae27 in _XSend () from /usr/lib64/libX11.so.6
0000005 0x00007ffff3cdb37b in _XReply () from /usr/lib64/libX11.so.6
0000006 0x00007ffff3cbf485 in XGetImage () from /usr/lib64/libX11.so.6
0000007 0x00007ffff581742b in QX11PixmapData::toImage(QRect const&) const () from /opt/kde4/lib64/libQtGui.so.4
0000008 0x00007ffff5814eda in QX11PixmapData::toImage() const () from /opt/kde4/lib64/libQtGui.so.4
0000009 0x00007ffff58023f0 in QPixmap::toImage() const () from /opt/kde4/lib64/libQtGui.so.4
0000010 0x00007ffff5802d4a in QPixmap::doImageIO(QImageWriter*, int) const () from /opt/kde4/lib64/libQtGui.so.4
0000011 0x00007ffff5802f11 in QPixmap::save(QString const&, char const*, int) const () from /opt/kde4/lib64/libQtGui.so.4
0000012 0x00000000005f1c3a in KdenliveDoc::cachePixmap(QString const&, QPixmap const&) const ()
0000013 0x000000000065609c in ProjectList::setThumbnail(QString const&, QPixmap const&) ()
0000014 0x000000000065614a in ProjectList::slotReplyGetImage(QString const&, QImage const&) ()
0000015 0x000000000066c5e0 in ProjectList::qt_metacall(QMetaObject::Call, int, void**) ()
---Type <return> to continue, or q <return> to quit---
0000016 0x00007ffff4da380a in QObject::event(QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000017 0x00007ffff578135b in QWidget::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000018 0x00007ffff57312b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000019 0x00007ffff5736141 in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000020 0x00007ffff79a64b6 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000021 0x00007ffff4d8d02c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000022 0x00007ffff4d903e8 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000023 0x00007ffff4db7763 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000024 0x00007fffedde62bd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000025 0x00007fffedde6ab8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
0000026 0x00007fffedde6c89 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000027 0x00007ffff4db7bbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000028 0x00007ffff57d43ee in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000029 0x00007ffff4d9077f in QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000030 0x00000000004b67e7 in MainWindow::doOpenFile ()
0000031 0x00000000004b97fb in MainWindow::openFile(KUrl const&) ()
0000032 0x00000000004bb6e6 in MainWindow::qt_metacall(QMetaObject::Call, int, void**) ()
0000033 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000034 0x00007ffff78c8472 in KRecentFilesAction::urlSelected(KUrl const&) () from /opt/kde4/lib64/libkdeui.so.5
0000035 0x00007ffff78c8503 in KRecentFilesActionPrivate::_k_urlSelected(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000036 0x00007ffff78c9ab3 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000037 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000038 0x00007ffff78cb94f in KSelectAction::triggered(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000039 0x00007ffff78cc1f5 in KSelectAction::actionTriggered(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000040 0x00007ffff78ce115 in KSelectAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000041 0x00007ffff78c9a75 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000042 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000043 0x00007ffff572d97f in QActionGroup::triggered(QAction*) () from /opt/kde4/lib64/libQtGui.so.4
0000044 0x00007ffff572da07 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000045 0x00007ffff572dcc1 in QActionGroup::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libQtGui.so.4
0000046 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000047 0x00007ffff572aca2 in QAction::triggered(bool) () from /opt/kde4/lib64/libQtGui.so.4
0000048 0x00007ffff572ae8f in QAction::activate(QAction::ActionEvent) () from /opt/kde4/lib64/libQtGui.so.4
0000049 0x00007ffff5b5fb09 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000050 0x00007ffff5b65742 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000051 0x00007ffff7a68550 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000052 0x00007ffff5781916 in QWidget::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000053 0x00007ffff5b66cab in QMenu::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000054 0x00007ffff57312b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000055 0x00007ffff5736a43 in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000056 0x00007ffff79a64b6 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000057 0x00007ffff4d8d02c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
#58 0x00007ffff5732282 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /opt/kde4/lib64/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000059 0x00007ffff57aebd4 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000060 0x00007ffff57ad35a in QApplication::x11ProcessEvent(_XEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000061 0x00007ffff57d4752 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000062 0x00007fffedde62bd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000063 0x00007fffedde6ab8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
0000064 0x00007fffedde6c89 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000065 0x00007ffff4db7bbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000066 0x00007ffff57d43ee in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000067 0x00007ffff4d8c232 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000068 0x00007ffff4d8c42f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000069 0x00007ffff4d905d7 in QCoreApplication::exec() () from /opt/kde4/lib64/libQtCore.so.4
0000070 0x000000000045288b in main ()
(gdb)
(0007639)
evorster (reporter)
2011-11-30 05:02

Just did an entire system recompile.

With latest released mlt & kdenlive it's uncrashable.

With latest git of mlt & kdenlive I can't open any previous project, crashes every time.

Footage is all in HD, profile is 1920x1080, 25 or 50 fps.
There are no files left from any previous recompile, as Sorcerer's scripts take care of the install & uninstall of any installed program, even the sources from git. To be sure I scanned my entire filesystem for files not explicitly installed. There were a few config files in /etc.

Gcc 4.6.2 -fno-stack-protector -march=native -O2, glibc 13.2.
(0007642)
j-b-m (administrator)
2011-12-01 09:19

hmm, the backtraces are not very helpful, I am not sure where the problem is... I committed a change last night that might help, if you could create a backtrack with this latest git would be great.
(0007643)
evorster (reporter)
2011-12-01 10:11

Just pulled from git. Problem is still there.

I am just now recompiling glibc, qt-everywhere-opensource and kdenlive with -ggdb.
Once this is done, I'll post a backtrace. Hopefully it's more useful than the ones I have been producing so far.
(0007644)
evorster (reporter)
2011-12-01 12:24

Right, here is another backtrace. I hope this one is more useful?

[Switching to LWP 30677]
producer_get_image (frame=0x7fffb0488a80, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc, width=0x7fffc9a0e864,
    height=0x7fffc9a0e868, writable=0) at producer_avformat.c:1261
1261 producer_avformat.c: No such file or directory.
        in producer_avformat.c
(gdb) thread apply all bt

Thread 2 (LWP 30677):
#0 producer_get_image (frame=0x7fffb0488a80, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc, width=0x7fffc9a0e864,
    height=0x7fffc9a0e868, writable=0) at producer_avformat.c:1261
#1 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e864, height=0x7fffc9a0e868, writable=0) at mlt_frame.c:453
0000002 0x00007fffd291afa2 in filter_get_image (this=0x7fffb0488a80, image=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e864, height=0x7fffc9a0e868, writable=0) at filter_crop.c:76
0000003 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e864, height=0x7fffc9a0e868, writable=0) at mlt_frame.c:453
0000004 0x00007fffdc854c3a in filter_get_image (this=0x7fffb0488a80, image=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e864, height=0x7fffc9a0e868, writable=0) at filter_deinterlace.c:239
0000005 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e864, height=0x7fffc9a0e868, writable=0) at mlt_frame.c:453
0000006 0x00007fffd2920094 in filter_get_image (this=0x7fffb0488a80, image=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e970, height=0x7fffc9a0e974, writable=0) at filter_rescale.c:215
0000007 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0e970, height=0x7fffc9a0e974, writable=0) at mlt_frame.c:453
0000008 0x00007fffd29205b6 in filter_get_image (this=0x7fffb0488a80, image=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0ebc4, height=0x7fffc9a0ebc8, writable=0) at filter_resize.c:267
0000009 0x00007ffff47f8cca in mlt_frame_get_image (self=<optimized out>, buffer=0x7fffc9a0ea28, format=0x7fffc9a0ebcc,
    width=0x7fffc9a0ebc4, height=0x7fffc9a0ebc8, writable=0) at mlt_frame.c:453
0000010 0x00007ffff45e3a2d in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/lib64/libmlt++.so.3
0000011 0x000000000062e3d6 in KThumb::getFrame (frame=0x7fffb0326b30, frameWidth=89, displayWidth=89, height=50)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/kthumb.cpp:208
0000012 0x000000000062ebc3 in KThumb::getProducerFrame (this=0xc12faf0, framepos=4192, frameWidth=89, displayWidth=89, height=50)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/kthumb.cpp:167
0000013 0x000000000062ef20 in KThumb::getThumb (this=0xc12faf0, frame=4192)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/kthumb.cpp:121
0000014 0x00000000005017d2 in ClipManager::slotGetThumbs (this=0x18300a0)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/clipmanager.cpp:159
0000015 0x000000000048ef86 in run (this=0x7fffb0437290) at /opt/kde4/include/QtCore/qtconcurrentrunbase.h:120
0000016 QtConcurrent::RunFunctionTask<void>::run (this=0x7fffb0437290) at /opt/kde4/include/QtCore/qtconcurrentrunbase.h:114
0000017 0x00007ffff4c9baf5 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000018 0x00007ffff4ca6c85 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000019 0x00007ffff4a1ce1c in ?? () from /lib64/libpthread.so.0
0000020 0x00007ffff127ffad in clone () from /lib64/libc.so.6

Thread 1 (LWP 30632):
#0 0x00007ffff4a20cfc in pthread_cond_wait () from /lib64/libpthread.so.0
#1 0x00007ffff4ca711b in QWaitCondition::wait(QMutex*, unsigned long) () from /opt/kde4/lib64/libQtCore.so.4
0000002 0x00007ffff4c95b04 in QFutureInterfaceBase::waitForFinished() () from /opt/kde4/lib64/libQtCore.so.4
0000003 0x000000000050097a in waitForFinished (this=0x1830138) at /opt/kde4/include/QtCore/qfuture.h:245
0000004 ClipManager::stopThumbs (this=0x18300a0, id=<optimized out>)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/clipmanager.cpp:132
0000005 0x000000000062f3a2 in KThumb::setProducer (this=0xd4fd4e0, producer=0x0)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/kthumb.cpp:65
---Type <return> to continue, or q <return> to quit---
0000006 0x000000000056fe55 in DocClipBase::deleteProducers (this=0xd4fcc60)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/docclipbase.cpp:392
0000007 0x000000000057414c in DocClipBase::setProducer (this=0xd4fcc60, producer=0x7fffb81e1690, reset=<optimized out>,
    readPropertiesFromProducer=false) at /usr/src/sorcery/compile/kdenlive/kdenlive/src/docclipbase.cpp:452
0000008 0x000000000066476f in ProjectList::slotReplyGetFileProperties (this=0xc4ea70, clipId=..., producer=0x7fffb81e1690,
    properties=..., metadata=..., replace=true) at /usr/src/sorcery/compile/kdenlive/kdenlive/src/projectlist.cpp:1854
0000009 0x000000000066c813 in ProjectList::qt_metacall (this=0xc4ea70, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fffb82d0500)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/build/src/projectlist.moc:289
0000010 0x00007ffff4da380a in QObject::event(QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000011 0x00007ffff578135b in QWidget::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000012 0x00007ffff57312b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000013 0x00007ffff5736141 in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000014 0x00007ffff79a64b6 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000015 0x00007ffff4d8d02c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000016 0x00007ffff4d903e8 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000017 0x00007ffff4db7763 in ?? () from /opt/kde4/lib64/libQtCore.so.4
0000018 0x00007fffedde62bd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000019 0x00007fffedde6ab8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
0000020 0x00007fffedde6c89 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000021 0x00007ffff4db7bbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000022 0x00007ffff57d43ee in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000023 0x00007ffff4d9077f in QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000024 0x00000000004b67e7 in MainWindow::doOpenFile (this=0xb37900, url=..., stale=<optimized out>)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/mainwindow.cpp:2128
0000025 0x00000000004b97fb in MainWindow::openFile (this=0xb37900, url=...)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/src/mainwindow.cpp:2080
0000026 0x00000000004bb6e6 in MainWindow::qt_metacall (this=0xb37900, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffffffbf20)
    at /usr/src/sorcery/compile/kdenlive/kdenlive/build/src/mainwindow.moc:390
0000027 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000028 0x00007ffff78c8472 in KRecentFilesAction::urlSelected(KUrl const&) () from /opt/kde4/lib64/libkdeui.so.5
0000029 0x00007ffff78c8503 in KRecentFilesActionPrivate::_k_urlSelected(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000030 0x00007ffff78c9ab3 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000031 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000032 0x00007ffff78cb94f in KSelectAction::triggered(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000033 0x00007ffff78cc1f5 in KSelectAction::actionTriggered(QAction*) () from /opt/kde4/lib64/libkdeui.so.5
0000034 0x00007ffff78ce115 in KSelectAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000035 0x00007ffff78c9a75 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libkdeui.so.5
0000036 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000037 0x00007ffff572d97f in QActionGroup::triggered(QAction*) () from /opt/kde4/lib64/libQtGui.so.4
0000038 0x00007ffff572da07 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000039 0x00007ffff572dcc1 in QActionGroup::qt_metacall(QMetaObject::Call, int, void**) () from /opt/kde4/lib64/libQtGui.so.4
0000040 0x00007ffff4d9fc5a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib64/libQtCore.so.4
0000041 0x00007ffff572aca2 in QAction::triggered(bool) () from /opt/kde4/lib64/libQtGui.so.4
0000042 0x00007ffff572ae8f in QAction::activate(QAction::ActionEvent) () from /opt/kde4/lib64/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000043 0x00007ffff5b5fb09 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000044 0x00007ffff5b65742 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000045 0x00007ffff7a68550 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000046 0x00007ffff5781916 in QWidget::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000047 0x00007ffff5b66cab in QMenu::event(QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000048 0x00007ffff57312b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000049 0x00007ffff5736a43 in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000050 0x00007ffff79a64b6 in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib64/libkdeui.so.5
0000051 0x00007ffff4d8d02c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib64/libQtCore.so.4
0000052 0x00007ffff5732282 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /opt/kde4/lib64/libQtGui.so.4
0000053 0x00007ffff57aebd4 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000054 0x00007ffff57ad35a in QApplication::x11ProcessEvent(_XEvent*) () from /opt/kde4/lib64/libQtGui.so.4
0000055 0x00007ffff57d4752 in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000056 0x00007fffedde62bd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000057 0x00007fffedde6ab8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
#58 0x00007fffedde6c89 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000059 0x00007ffff4db7bbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /opt/kde4/lib64/libQtCore.so.4
0000060 0x00007ffff57d43ee in ?? () from /opt/kde4/lib64/libQtGui.so.4
0000061 0x00007ffff4d8c232 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000062 0x00007ffff4d8c42f in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib64/libQtCore.so.4
0000063 0x00007ffff4d905d7 in QCoreApplication::exec() () from /opt/kde4/lib64/libQtCore.so.4
0000064 0x000000000045288b in main (argc=1, argv=0x7fffffffe2a8) at /usr/src/sorcery/compile/kdenlive/kdenlive/src/main.cpp:89
(gdb)
(0007648)
j-b-m (administrator)
2011-12-04 15:13

Still no idea where the problem is, and it is surprising no other user sees this problem, since there are several people using the sunab svn repository...

Can you try a few more things for me:

1) With latest MLT git, try playing one of your old .kdenlive project file:

melt yourproject.kdenlive

Does it work?

2) Maybe you already tried it, but with latest MLT & Kdenlive, delete the kdenlive config file: $HOME/.kde/share/config/kdenliverc and then try opening one of your old project file
(0007736)
evorster (reporter)
2012-01-06 19:26

I have been unable to crash the latest kdenlive in the same way. I think this bug is squashed.

Please close this ticket.

- Issue History
Date Modified Username Field Change
2011-11-28 15:52 evorster New Issue
2011-11-28 21:04 evorster Note Added: 0007634
2011-11-29 09:30 j-b-m Note Added: 0007635
2011-11-29 09:30 j-b-m Assigned To => j-b-m
2011-11-29 09:30 j-b-m Status new => feedback
2011-11-29 11:32 evorster Note Added: 0007636
2011-11-29 11:32 evorster Status feedback => assigned
2011-11-29 20:54 evorster Note Added: 0007637
2011-11-30 05:02 evorster Note Added: 0007639
2011-12-01 09:19 j-b-m Note Added: 0007642
2011-12-01 10:11 evorster Note Added: 0007643
2011-12-01 12:24 evorster Note Added: 0007644
2011-12-04 15:13 j-b-m Note Added: 0007648
2012-01-06 19:26 evorster Note Added: 0007736
2012-01-06 20:32 j-b-m Status assigned => resolved
2012-01-06 20:32 j-b-m Fixed in Version => Recent git
2012-01-06 20:32 j-b-m Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version Recent git => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker